## org.exist.ant
Class XMLDBListTask

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.exist.ant.AbstractXMLDBTask
                  org.exist.ant.XMLDBListTask

public class XMLDBListTask
extends AbstractXMLDBTask

an ant task to list the sub-collections or resources in a collection

Author:
  peter.klotz@blue-elephant-systems.com

Constructor Summary
`XMLDBListTask()`

Method Summary
`void` `execute()`
`void` `setCollections(boolean collections)`
`void` `setOutputproperty(java.lang.String outputproperty)`
`void` `setResources(boolean resources)`
`void` `setSeparator(java.lang.String separator)`

Methods inherited from class org.exist.ant.AbstractXMLDBTask
`setDriver, setFailonerror, setInitdb, setPassword, setUri, setUser`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, init, log, log, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLDBListTask

    public XMLDBListTask()

Method Detail

### execute

    public void execute()
                 throws org.apache.tools.ant.BuildException

  Throws:
    `org.apache.tools.ant.BuildException`

### setCollections

    public void setCollections(boolean collections)

### setResources

    public void setResources(boolean resources)

### setSeparator

    public void setSeparator(java.lang.String separator)

### setOutputproperty

    public void setOutputproperty(java.lang.String outputproperty)

Copyright (C) Wolfgang Meier. All rights reserved.